# Interface Intersection

interface Intersection {
floor: number;
floorIndex: number;
model?: Model;
tile?: Tile;
viewLayer?: ViewLayer;
}

#### Hierarchy

- Intersection
  - Intersection

- Defined in lib/five/model/intersection.ts:7

##### Index

### Properties

floor
floorIndex
model?
tile?
viewLayer?

## Properties

### floor

floor: number

楼层

#### Deprecated

use floorIndex instead.

- Defined in lib/five/model/intersection.ts:16

### floorIndex

floorIndex: number

楼层

- Defined in lib/five/model/intersection.ts:9

### `Optional` model

model?: Model

- Defined in lib/five/model/intersection.ts:18

### `Optional` tile

tile?: Tile

- Defined in lib/five/model/intersection.ts:22

### `Optional` viewLayer

viewLayer?: ViewLayer

- Defined in lib/five/model/intersection.ts:20